SDL Visual Test

- Main Page
- Data Structures
- Files

- Data Structures
- Data Structure Index
- Data Fields

All Data Structures Files Functions Variables Typedefs Enumerations Enumerator Macros Pages
Data Fields
SDLVisualTest_ExhaustiveVariator Struct Reference

`#include <SDL_visualtest_exhaustive_variator.h>`

## Data Fields
SDLVisualTest_Variation | variation
SDLVisualTest_SUTConfig | config
char | buffer [MAX_SUT_ARGS_LEN]

## Detailed Description

Struct for the variator that exhaustively iterates through all variations of command line arguments to the SUT.

## Field Documentation

char buffer[MAX_SUT_ARGS_LEN]

Buffer to store the arguments string built from the variation

SDLVisualTest_SUTConfig config

Configuration object for the SUT that the variator is running for.

SDLVisualTest_Variation variation

The current variation.

The documentation for this struct was generated from the following file:

- C:/Users/DELL/Work/sdlvisualtest/visualtest/include/SDL_visualtest_exhaustive_variator.h